EDIT - bug #7252

createdby _id often is null
02/09/2018 04:43 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: data Estimated time: 0:00 hour
Target version: Release 4.14

Severity: normal Found in Version:

Description

Examples

cdm_production_phycobank
e TaxonName
o is null: 1766
o not null: 533
¢ Registration

o isnull: 1188
o notnull: 0

Associated revisions

Revision d199517b - 02/15/2018 09:13 AM - Andreas Kohlbecker

fix #7252 adding comment to explain createdBy null values

History

#1 - 02/09/2018 04:44 PM - Andreas Kohlbecker
- Status changed from New to Feedback

- Target version changed from Unassigned CDM tickets to Release 4.14
Hi Andreas,

what can be the cause for this odd issue.

Andreas

#2 - 02/13/2018 09:39 AM - Andreas Miiller

- Status changed from Feedback to Resolved

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

This is often the case for imports running from commandline. They can run without authentification. It is also the case as far as | can see as all
TaxonName and Registration with createdby_id IS NULL have almost the same created date.

Is there any problem with createdby_id = NULL or can we close the ticket?
#3 - 02/13/2018 10:05 AM - Andreas Kohlbecker

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

| consider this as problematic since it it a source for potential errors and misuse of the cdm entities.
We are very eager to provide a clear API to developers that helps avoiding errors. For example the Reference model provides interfaces for each
reference type!
On the other hand we now have the createdBy field. An entity that exists has obviously been created by someone, otherwise it could not exists at all.
This field now can be just null in some cases which are not clear to anyone but to the person who wrote and ran the import.

| think we either force createdBy to never be null and set all null values to the user id '10' or we should clearly indicate in the documentation of the
getter that the createdBy user can be null.

#4 - 02/15/2018 09:13 AM - Andreas Kohlbecker
- Status changed from Feedback to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|d199517b4b86e38386578de341491f62819ea651.

#5 - 02/15/2018 09:14 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 50 to 0
